## visad
Class DisplayActivity

    java.lang.Object
      visad.DisplayActivity

public class DisplayActivity
extends Object

Manage busy/idle handlers for a Display

Constructor Summary
`DisplayActivity(DisplayImpl dpy)` Manage busy/idle handlers for a Display, using a default idle time of 0.25 second.
`DisplayActivity(DisplayImpl dpy, int milliseconds)` Manage busy/idle handlers for a Display, using the specified idle time, with the minimum idle time being 100 milliseconds.

Method Summary
`void` `addHandler(ActivityHandler ah)` Add a new activity handler.
`void` `destroy()` Stop the idle timer and any running tasks.
`void` `removeHandler(ActivityHandler ah)` Remove an activity handler.
`void` `updateBusyStatus()` Notify the activity monitor that work has been done.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayActivity

    public DisplayActivity(DisplayImpl dpy)

  Manage busy/idle handlers for a Display, using a default idle time of 0.25 second.

Parameters:
  `dpy` - Display to manage.

### DisplayActivity

    public DisplayActivity(DisplayImpl dpy,
                           int milliseconds)

  Manage busy/idle handlers for a Display, using the specified idle time, with the minimum idle time being 100 milliseconds.

Parameters:
  `dpy` - Display to manage.
  `milliseconds` - Number of milliseconds to wait before the Display is considered idle.

Method Detail

### destroy

    public void destroy()

  Stop the idle timer and any running tasks.

### addHandler

    public void addHandler(ActivityHandler ah)
                    throws VisADException

  Add a new activity handler.

  Parameters:
    `ah` - ActivityHandler to add
  Throws:
    `VisADException` - no handler list

### removeHandler

    public void removeHandler(ActivityHandler ah)
                       throws VisADException

  Remove an activity handler.

  Parameters:
    `ah` - ActivityHandler to remove
  Throws:
    `VisADException` - no handler list

### updateBusyStatus

    public void updateBusyStatus()

  Notify the activity monitor that work has been done.